MODULE PARAME

!PARAMETERS  ( LOGNORMAL )

!===========================================================================================
!Purpose: 
!	
!Defines global PARAMETERS OF THE MODEL, TECHNICAL SUBROUTINES.
!
!Last modified: May 22 2016
!===========================================================================================

IMPLICIT NONE

INTEGER, PARAMETER :: kind_sgl = SELECTED_REAL_KIND(p=6) ! Define single precision
INTEGER, PARAMETER :: kind_dbl = SELECTED_REAL_KIND(p=15)! Define double precision
INTEGER, PARAMETER :: kind     = kind_dbl

!GLOBAL PARAMETERS OF THE MODEL

!PARAMETERS --------------------------------------------------------------------------------

INTEGER, PARAMETER :: kgrid = 400 , zgrid = 10
INTEGER, PARAMETER :: sgrid = 300 , egrid = 3

REAL*8,  PARAMETER :: tdi =  0.20_8    
REAL*8,  PARAMETER :: tgi =  0.20_8    
REAL*8,  PARAMETER :: tc  =  0.00_8    
REAL*8,  PARAMETER :: check_ti  = 1.00_8       
REAL*8,  PARAMETER :: totshare  = 1.00_8 

REAL*8,  PARAMETER :: alf    =  0.311_8  
REAL*8,  PARAMETER :: nu     =  0.650_8  
REAL*8,  PARAMETER :: delta  =  0.054_8     
REAL*8,  PARAMETER :: psi    =  1.210_8     ! xxxxxxxxxxxxxx 
REAL*8,  PARAMETER :: phi    =  0.5192_8        
REAL*8,  PARAMETER :: beta   =  0.93420_8   ! xxxxxxxxxxxxxx 
REAL*8,  PARAMETER :: sigma  =  1.00000_8  
REAL*8,  PARAMETER :: LLL    =  0.30_8 

REAL*8,  PARAMETER :: curve  =  0.010_8 

REAL*8,  PARAMETER :: gov    =  0.185913535396622_8  

REAL*8,  PARAMETER :: k_min  =  0.008_8  
REAL*8,  PARAMETER :: k_max  =  16000.0_8 

REAL*8,  PARAMETER :: share_min  =    0.000_8 
REAL*8,  PARAMETER :: share_max  =  ( 1.500_8 * 299.0_8 * 0.0662_8 )

REAL*8,  PARAMETER :: tol_par    =  0.0000001_8 ,  tol_POL    =  0.0000001_8 ,  toldist  = 0.0000001_8 
REAL*8,  PARAMETER :: tol_par_r  =  0.0000001_8 ,  tol_par_w  =  0.0000001_8 ,  tolS     = 0.0000001_8
REAL*8,  PARAMETER :: tol_par_td =  0.0000001_8 

REAL(8)	:: TV, TV1, TV2, check, control, tolerance, tolerance1, tolerance2, indic, tol_w, ti, kc, LamD, LamS
REAL(8)	:: toleranceA, toleranceB, toleranceC, tolerrorK, tolerrorK2, toleranceCA, toleranceCB
REAL(8)	:: kL, kH, kkk, pay, MC, MB, weight, multD, LamD_L, LamD_H, prdiff, lss, wd, wu, rlow, rhigh  
INTEGER :: i,j,mm,nn,mn,vv,oo,ooo,op,iter, iterK
REAL(8)	:: stepk1, stepk2, stepk3, stepk4, stepk5, stepk6, r, rf, ppp, ddd, ddd1, ddd2, ssseq, w, w_up, w_down, Lcheck, errorK
REAL(8)	:: V_AGG, PV_AGG, K_AGG, I_AGG, L_AGG, Y_AGG, DIV_AGG, G_AGG, SEQ_AGG
REAL(8)	:: VAR_IK, M_IK, M_IK2, VAR_EK, M_EK, M_EK2, AC_AGG, C_AGG, KP_AGG, EARN_AGG, S_AGG, CONS_AGG, VC_AGG
REAL(8)	:: F_Reg1, F_Reg2, F_Reg3, K_Reg1, K_Reg2, K_Reg3
REAL(8)	:: I_Reg1, I_Reg2, I_Reg3, EK_Reg1, EK_Reg2, EK_Reg3
REAL(8)	:: IK_Reg1, IK_Reg2, IK_Reg3, TQ_Reg1, TQ_Reg2, TQ_Reg3
REAL(8)	:: smin, smax, sss, ccc, mu0, mu1, errorS, errorEUL, RR , check2  
REAL(8)	:: td, td_high, td_low, tol_td, tg    

END MODULE PARAME



















