MODULE Utilities !UPDATE: 8th February, 2012
    IMPLICIT NONE
    PRIVATE
	INTEGER, PARAMETER :: kind_sgl = SELECTED_REAL_KIND(p=6) ! Define single precision
    INTEGER, PARAMETER :: kind_dbl = SELECTED_REAL_KIND(p=15)! Define double precision
    INTEGER, PARAMETER :: kind = kind_dbl ! (!) SET PRECISION OF THE STORAGE SCHEME here (!)


	!FOR CPU runtime counter
    INTEGER, private :: start   ! current value of system clock
    INTEGER, private :: rate    ! system clock counts/sec
    INTEGER, private :: finish  ! ending value of system clock
    !**************************

	PUBLIC tic, toc

CONTAINS

!********************************************************
!* Emulate the matlab tic function, for use with toc    *
!********************************************************
 SUBROUTINE  tic 
    CALL system_clock ( COUNT = start, COUNT_RATE = rate ); END SUBROUTINE  tic
      
  
!********************************************************
!*  Emulate the matlab toc function, for use with tic   *
!********************************************************
 REAL FUNCTION  toc ( )   
    ! Useage:   call tic         ! start clock
    !           cputime = toc () ! for increment
	CALL system_clock ( COUNT = finish ) ! stop execution timer
	toc = float( finish - start ) / float( rate )
	END FUNCTION  toc
	
END MODULE Utilities
