MODULE PARAME

!PARAMETERS  ( LOGNORMAL )

!===========================================================================================
!Purpose: 
!	
!Defines global PARAMETERS OF THE MODEL, TECHNICAL SUBROUTINES.
!
!Last modified: February 08 2012
!===========================================================================================

IMPLICIT NONE

INTEGER, PARAMETER :: kind_sgl = SELECTED_REAL_KIND(p=6) ! Define single precision
INTEGER, PARAMETER :: kind_dbl = SELECTED_REAL_KIND(p=15)! Define double precision
INTEGER, PARAMETER :: kind     = kind_dbl

!GLOBAL PARAMETERS OF THE MODEL

!PARAMETERS --------------------------------------------------------------------------------

INTEGER, PARAMETER :: kgrid  = 400 , zgrid  = 10,  Ts = 100, exitloop = 5000
INTEGER, PARAMETER :: sgrid  = 300 , egrid  = 3

REAL*8,  PARAMETER :: tdi2 =  0.20_8     
REAL*8,  PARAMETER :: tgi2 =  0.20_8    
REAL*8,  PARAMETER :: tci  =  0.34_8  
 
REAL*8,  PARAMETER :: tdf2 =  0.20_8     
REAL*8,  PARAMETER :: tgf2 =  0.20_8    
REAL*8,  PARAMETER :: tcf  =  0.00_8  
 
REAL*8,  PARAMETER :: check_ti  = -1.00_8       
REAL*8,  PARAMETER :: totshare  = 1.00_8 

REAL*8,  PARAMETER :: alf    =  0.311_8  
REAL*8,  PARAMETER :: nu     =  0.650_8  
REAL*8,  PARAMETER :: delta  =  0.054_8     
REAL*8,  PARAMETER :: psi    =  1.50970_8     ! xxxxxxxxxxxxxx 
REAL*8,  PARAMETER :: phi    =  1.00000_8        
REAL*8,  PARAMETER :: beta   =  0.93420_8   ! xxxxxxxxxxxxxx 
REAL*8,  PARAMETER :: sigma  =  1.00000_8  
REAL*8,  PARAMETER :: LLL    =  0.30_8 
REAL*8,  PARAMETER :: relaxR =  0.90_8  
REAL*8,  PARAMETER :: relaxW =  0.90_8  

REAL*8,  PARAMETER :: alfRRR =  0.311_8  

REAL*8,  PARAMETER :: curve  =  0.010_8 

REAL*8,  PARAMETER :: gov    =  0.180299972925697  

REAL*8,  PARAMETER :: k_min  =  0.008_8  
REAL*8,  PARAMETER :: k_max  =  16000.0_8

REAL*8,  PARAMETER :: share_min  =    0.000_8 
REAL*8,  PARAMETER :: share_max  =  ( 1.500_8 * 299.0_8 * 0.0662_8 )

REAL*8,  PARAMETER :: toldist    =  0.0000001_8   ,  tolS        =  0.0000001_8 
REAL*8,  PARAMETER :: tolerrorK  =  0.0000001_8   ,  tolerrorK2  =  0.0000001_8
REAL*8,  PARAMETER :: tol_iter   =  0.0000001_8  

REAL(8)	:: TV, TV1, TV2, check, control, indic, tol_w, tol_r, kc, LamD, LamS, tdi, tdf, tgi, tgf
REAL(8)	:: tol_main, tolerance, tolerance1, tolerance2
REAL(8)	:: kL, kH, kkk, pay, MC, MB, weight, multD, LamD_L, LamD_H, prdiff, lss, wd, wu, rlow, rhigh  
INTEGER :: i,j,mm,nn,mn,vv,oo,ooo,op,iter, iterK, iter_main
REAL(8)	:: stepk1, stepk2, stepk3, stepk4, stepk5, stepk6, r, ppp, ddd, ddd1, ddd2, ssseq, w, w_up, w_down, Lcheck, errorK
REAL(8)	:: smin, smax, sss, ccc, mu0, mu1, errorS, errorEUL , check2, VnSS    

REAL(8)	:: K_AGG_i, L_AGG_i, Y_AGG_i, I_AGG_i, C_AGG_i, AC_AGG_i, G_AGG_i, DIV_AGG_i, SEQ_AGG_i, VC_AGG_i   	        		        	        	        	        	        	        	        	        
REAL(8)	:: V_AGG_i, PV_AGG_i, rt_i, r_i, w_i, ti_i	
REAL(8)	:: K_AGG_f, L_AGG_f, Y_AGG_f, I_AGG_f, C_AGG_f, AC_AGG_f, G_AGG_f, DIV_AGG_f, SEQ_AGG_f, VC_AGG_f   	        		        	        	        	        	        	        	        	        
REAL(8)	:: V_AGG_f, PV_AGG_f, rt_f, r_f, w_f, ti_f	

REAL(8)	:: CE_TOTAL, CE_AGGREGATE, CE_DISTRIBUTION  

END MODULE PARAME



















