#!/bin/bash
#SBATCH --job-name=eva
#SBATCH -p long-28core
#SBATCH --output=out.txt
#SBATCH --time=48:00:00
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-task=28

module load shared slurm
module load intel-stack

cd $SLURM_SUBMIT_DIR
export OMP_NUM_THREADS=$SLURM_CPUS_ON_NODE

echo "$SLURM_JOB_NUM_NODES nodes with $SLURM_CPUS_ON_NODE processors each." > log.txt
date >> log.txt

./OLG.exe &>> log.txt

date >> log.txt
echo "End!" &>> log.txt
